package org.rcisoft.business.cmsBanner.dao;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsBanner.entity.CmsBanner;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;


/**
* Created with cy on 2024年3月30日 下午1:51:15.
*/

public interface CmsBannerRepository extends CyBaseMapper<CmsBanner> {


    List<CmsBanner> queryCmsBanners(@Param("entity") CmsBanner cmsBanner);

    /**
    * 分页查询 cmsBanner
    *
    */
    IPage<CmsBanner> queryCmsBannersPaged(CyPageInfo cyPageInfo, @Param("entity") CmsBanner cmsBanner);


    CmsBanner selectByIdWithUrl(String id);
}

