package org.rcisoft.business.cmsBanner.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年3月30日 下午1:51:15.
*/
@Data
@TableName("cms_banner")
public class CmsBanner  extends CyIdIncreEntity<CmsBanner> {



     /**
     * @desc 图片
     * @column picture_id
     * @default
     */
     @Excel(name = "图片", orderNum = "0", width = 20)
     private Integer pictureId;

     /**
     * @desc banner名字
     * @column banner_name
     * @default
     */
     @Excel(name = "banner名字", orderNum = "1", width = 20)
     private String bannerName;

     /**
     * @desc 类型
     * @column type
     * @default
     */
     @Excel(name = "类型", orderNum = "2", width = 20)
     private String type;

     /**
     * @desc 排序号
     * @column weight
     * @default
     */
     @Excel(name = "排序号", orderNum = "3", width = 20)
     private Integer weight;

     /**
      * 图片地址
      */
     @TableField(exist = false)
     private String path;


}

